"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class InterventionType(object):
    """
    For each intervention studied in the clinical study, the general type
    of intervention  * `drug`: Including placebo * `device`: Including
    sham * `biological`: Vaccine * `procedure`: Surgery * `radiation`
    * `behavioral`: For example, psychotherapy, lifestyle counselling
    * `genetic`: Including gene transfer, stem cell and recombinant
    DNA * `dietary_supplement`: For example, vitamins, minerals *
    `combination_product`: Combining a drug and device, a biological
    product and device; a drug and biological product; or a drug,
    biological product, and device * `diagnostic_test`: For example,
    imaging, in-vitro * `other`      Ref.
    https://prsinfo.clinicaltrials.gov/definitions.htm
    """

    drug = "drug"
    device = "device"
    procedure = "procedure"
    biological = "biological"
    radiation = "radiation"
    behavioral = "behavioral"
    genetic = "genetic"
    dietary_supplement = "dietary_supplement"
    combination_product = "combination_product"
    diagnostic_test = "diagnostic_test"
    other = "other"

    def __hash__(self):
        return str(self).__hash__()

    @classmethod
    def _namespace_version(cls):
        return "6.7.2"
